%define major 1
%define libname %{name}-libs
%define develname %{name}-devel

Summary:	Language recognition library
Name:		belr
Version:	5.3.5
Release:	2%{?dist}.inferit
License:	GPLv3
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://gitlab.linphone.org/BC/public/belr/-/archive/%{version}/belr-%{version}.tar.gz
# (wally) from OpenSUSE to install pkgconfig .pc file
Patch0:		belr-fix-pkgconfig.patch
BuildRequires:	cmake
BuildRequires:	cmake(BCToolbox) >= %{version}
BuildRequires:	ninja-build
BuildRequires:	pkgconfig(udev)

%description
Belr aims at parsing any input formatted according to a language defined by
an ABNF grammar, such as the protocols standardised at IETF.

%package -n	%{libname}
Summary:	Language recognition library
Group:		System/Libraries

%description -n	%{libname}
Belr aims at parsing any input formatted according to a language defined by
an ABNF grammar, such as the protocols standardised at IETF.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%prep
%setup -q
sed -i -e 's,\r$,,' CMakeLists.txt
%autopatch -p1

# Fix version
sed -i -e '/project/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake -GNinja \
  -DENABLE_STRICT:BOOL=NO \
  -DENABLE_UNIT_TESTS:BOOL=NO
%cmake_build

%install
%cmake_install

find %{buildroot} -name "*.la" -delete

%files
%license LICENSE*
%doc README*
%{_bindir}/belr-parse
%{_bindir}/belr-compiler

%files -n %{libname}
%license LICENSE*
%doc README*
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/Belr/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed May 29 2024 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 5.3.5-2.inferit
- Rebuilt for MSVSphere 9.4

* Sat Dec 30 2023 wally <wally> 5.3.5-2.mga10
+ Revision: 2024678
- rebuild for armv7hl

* Sat Dec 30 2023 wally <wally> 5.3.5-1.mga10
+ Revision: 2024665
- new version 5.3.5

* Fri Jun 09 2023 wally <wally> 5.2.70-1.mga9
+ Revision: 1961510
- new version 5.2.70

* Sat Dec 24 2022 wally <wally> 5.2.4-1.mga9
+ Revision: 1926257
- new version 5.2.4

* Sun Dec 04 2022 wally <wally> 5.1.72-1.mga9
+ Revision: 1917526
- new version 5.1.72
- build using ninja

* Tue Aug 23 2022 wally <wally> 5.1.55-1.mga9
+ Revision: 1879608
- new version 5.1.55

* Wed May 04 2022 wally <wally> 5.1.12-2.mga9
+ Revision: 1856167
- rebuild to core/release

* Tue May 03 2022 wally <wally> 5.1.12-1.mga9
+ Revision: 1855647
- new version 5.1.12

* Thu Mar 24 2022 umeabot <umeabot> 5.0.53-2.mga9
+ Revision: 1824575
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 wally <wally> 5.0.53-1.mga9
+ Revision: 1758336
- new version 5.0.53

* Sat Jul 31 2021 wally <wally> 4.5.22-1.mga9
+ Revision: 1738376
- new version 4.5.22

* Sun May 30 2021 wally <wally> 4.5.15-1.mga9
+ Revision: 1728843
- new version 4.5.15

* Sat Apr 10 2021 wally <wally> 4.5.1-1.mga9
+ Revision: 1714608
- new version 4.5.1

* Sun Mar 21 2021 wally <wally> 4.4.34-1.mga9
+ Revision: 1706440
- new version 4.4.34

* Sun Dec 27 2020 wally <wally> 4.4.21-1.mga8
+ Revision: 1664100
- new version 4.4.21

* Sat Dec 19 2020 wally <wally> 4.4.19-1.mga8
+ Revision: 1661344
- new version 4.4.19

* Thu Dec 10 2020 wally <wally> 4.4.13-1.mga8
+ Revision: 1655218
- new version 4.4.13

* Mon Nov 23 2020 wally <wally> 4.4.9-1.mga8
+ Revision: 1648761
- new version 4.4.9

* Sun Oct 25 2020 wally <wally> 4.4.6-1.mga8
+ Revision: 1639230
- new version 4.4.6

* Sat Oct 03 2020 wally <wally> 4.4.0-1.mga8
+ Revision: 1632018
- new version 4.4.0

* Sat Mar 28 2020 wally <wally> 4.3.1-1.mga8
+ Revision: 1561383
- new version 4.3.1

* Wed Feb 12 2020 umeabot <umeabot> 0.1.3-3.mga8
+ Revision: 1510702
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 0.1.3-2.mga7
+ Revision: 1295412
- Mageia 7 Mass Rebuild
+ wally <wally>
- fix license

* Mon Jan 01 2018 wally <wally> 0.1.3-1.mga7
+ Revision: 1188629
- imported package belr

